/*
 * @(#)iCellEditorComponent.java
 * Copyright 2001 Nomura Research Institute, LTD. All rights reserved.
 * @author  Intelligent Technology Inc.
 * @version 1.00 2001/10/01-2002/03/26
 * @see iCellEditorComponent
 */
package	jp.co.nri.rid.table.editor;

import java.awt.Component;
import java.awt.event.*;
import javax.swing.*;

/**
 * Cell Editor Component インターフェース。
 */
public interface iCellEditorComponent{
    public String		text();
	public void			text(String text);
	public JComponent	component();
	public void			focus(boolean hasFocus ,JTable table);
    public void			editable(boolean editable);
}
